# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate statrs

Name:           rust-%{crate}
Version:        0.15.0
Release:        %autorelease
Summary:        Statistical computing library for Rust

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/statrs
Source:         %{crate}-%{version_no_tilde}-clean.crate
# script to create tarball without files with unacceptable licenses
# run "rust2rpm statrs" and then "./gen_clean_tarball.sh" for new versions
Source1:        gen_clean_tarball.sh
# Initial patched metadata
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * bump nalgebra from 0.27.1 to 0.30:
#   https://github.com/statrs-dev/statrs/commit/9cb3081
#   https://github.com/statrs-dev/statrs/pull/162
#   https://github.com/statrs-dev/statrs/pull/187
# * drop nightly-only feature
Patch0:         statrs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Statistical computing library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that require non-redistributable data files
%cargo_test -- -- --skip statistics::iter_statistics::tests::test_covariance_consistent_with_variance --skip statistics::iter_statistics::tests::test_covariance_is_symmetric --skip statistics::iter_statistics::tests::test_mean --skip statistics::iter_statistics::tests::test_pop_covar_consistent_with_pop_var --skip statistics::iter_statistics::tests::test_std_dev
%endif

%changelog
%autochangelog
